-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le : Ven 29 Mai 2020 à 05:54
-- Version du serveur: 5.5.16
-- Version de PHP: 5.3.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `dbiblio`
--

-- --------------------------------------------------------

--
-- Structure de la table `abonne`
--

CREATE TABLE IF NOT EXISTS `abonne` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `matricule` varchar(20) DEFAULT NULL,
  `nom` varchar(40) NOT NULL,
  `prenom` varchar(40) NOT NULL,
  `date_ins` date NOT NULL,
  `prix_ins` int(11) NOT NULL,
  `nblivre` int(11) DEFAULT NULL,
  `contact` varchar(30) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `matricule` (`matricule`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=21 ;

--
-- Contenu de la table `abonne`
--

INSERT INTO `abonne` (`id`, `matricule`, `nom`, `prenom`, `date_ins`, `prix_ins`, `nblivre`, `contact`) VALUES
(15, 'AB2', 'CATHERINE', 'WINNICK', '2020-05-27', 2500, 1, '66124511'),
(16, 'AB3', 'SERGE', 'JULIEN', '2020-05-28', 2500, 0, '66120045'),
(17, 'AB4', 'AZIZA', 'SOLANGE', '2020-05-28', 2000, 0, '66224545'),
(18, 'AB5', 'SOMTE', 'SYLVIE', '2020-05-28', 2500, 2, '99050511'),
(19, 'AB6', 'DAVID', 'COOPER', '2020-05-28', 2000, 1, '63661221'),
(20, 'AB7', 'OUSMANE', 'ALI', '2020-05-28', 2000, 0, '95808966');

-- --------------------------------------------------------

--
-- Structure de la table `ab_expire`
--

CREATE TABLE IF NOT EXISTS `ab_expire` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `matricule` varchar(20) DEFAULT NULL,
  `nom` varchar(40) NOT NULL,
  `prenom` varchar(40) NOT NULL,
  `date_ins` date NOT NULL,
  `prix_ins` int(11) NOT NULL,
  `nblivre` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `matricule` (`matricule`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

--
-- Contenu de la table `ab_expire`
--

INSERT INTO `ab_expire` (`id`, `matricule`, `nom`, `prenom`, `date_ins`, `prix_ins`, `nblivre`) VALUES
(16, 'AB3', 'CHAD', 'MICHEAL', '2020-05-27', 2500, 0),
(17, 'AB4', 'JIMMY', 'SISSOKO', '2020-05-27', 2500, 0),
(18, 'AB6', 'FRANK', 'ARTHUR', '2020-05-27', 2000, 0),
(19, 'AB1', 'TREVIS', 'MILLER', '2020-05-27', 2000, 0);

-- --------------------------------------------------------

--
-- Structure de la table `livre`
--

CREATE TABLE IF NOT EXISTS `livre` (
  `idliv` varchar(20) NOT NULL,
  `titreliv` varchar(50) NOT NULL,
  `nomautheur` varchar(50) NOT NULL,
  `idabonne` varchar(20) DEFAULT NULL,
  `datep` date DEFAULT NULL,
  PRIMARY KEY (`idliv`),
  KEY `fk1` (`idabonne`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `livre`
--

INSERT INTO `livre` (`idliv`, `titreliv`, `nomautheur`, `idabonne`, `datep`) VALUES
('liv1', 'LA PESTE', 'ALBERT CAMUS', NULL, NULL),
('liv10', 'GERMINALE', 'EMILE ZOLA', NULL, NULL),
('liv2', 'ETUDIANT DE SOWETO', 'MAWNDOE NAINDOUBA', 'AB2', '2020-05-27'),
('liv3', 'TRAGEDIE', 'AIME CESAIRE', NULL, NULL),
('liv4', 'O COMME OUBLIE', 'SUE GRATFON', NULL, NULL),
('liv5', 'LES MAINS SALES', 'JP SARTRE', NULL, NULL),
('liv6', 'F COMME FUGITIF', 'SUE GRATFON', 'AB5', '2020-05-28'),
('liv7', 'CAHIER DE RETOUR', 'AIME CESAIRE', 'AB5', '2020-05-28'),
('liv8', 'AVENTURE AMBIGUE', 'CHEIK AMIDOU KHAN', 'AB6', '2020-05-28'),
('liv9', 'MADAME BOVARY', 'GUSTAVE FLAUBERT', NULL, NULL);

--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `livre`
--
ALTER TABLE `livre`
  ADD CONSTRAINT `fk1` FOREIGN KEY (`idabonne`) REFERENCES `abonne` (`matricule`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
